BreakIterator
Date: 2016-06-24

java.text

## Class BreakIterator

- java.lang.Object
- - java.text.BreakIterator

- All Implemented Interfaces:
    Cloneable

      public abstract class BreakIterator
      extends Object
      implements Cloneable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DONE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BreakIterator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `abstract int` | `current()`
    `abstract int` | `first()`
    `abstract int` | `following(int var0)`
    `static Locale[]` | `getAvailableLocales()`
    `static BreakIterator` | `getCharacterInstance()`
    `static BreakIterator` | `getCharacterInstance(Locale var0)`
    `static BreakIterator` | `getLineInstance()`
    `static BreakIterator` | `getLineInstance(Locale var0)`
    `static BreakIterator` | `getSentenceInstance()`
    `static BreakIterator` | `getSentenceInstance(Locale var0)`
    `abstract CharacterIterator` | `getText()`
    `static BreakIterator` | `getWordInstance()`
    `static BreakIterator` | `getWordInstance(Locale var0)`
    `boolean` | `isBoundary(int var0)`
    `abstract int` | `last()`
    `abstract int` | `next()`
    `abstract int` | `next(int var0)`
    `int` | `preceding(int var0)`
    `abstract int` | `previous()`
    `abstract void` | `setText(CharacterIterator var0)`
    `void` | `setText(String var0)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DONE

          public static final int DONE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BreakIterator

          protected BreakIterator()

  - ### Method Detail

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

    - #### current

          public abstract int current()

    - #### first

          public abstract int first()

    - #### following

          public abstract int following(int var0)

    - #### getAvailableLocales

          public static Locale[] getAvailableLocales()

    - #### getCharacterInstance

          public static BreakIterator getCharacterInstance()

    - #### getCharacterInstance

          public static BreakIterator getCharacterInstance(Locale var0)

    - #### getLineInstance

          public static BreakIterator getLineInstance()

    - #### getLineInstance

          public static BreakIterator getLineInstance(Locale var0)

    - #### getSentenceInstance

          public static BreakIterator getSentenceInstance()

    - #### getSentenceInstance

          public static BreakIterator getSentenceInstance(Locale var0)

    - #### getText

          public abstract CharacterIterator getText()

    - #### getWordInstance

          public static BreakIterator getWordInstance()

    - #### getWordInstance

          public static BreakIterator getWordInstance(Locale var0)

    - #### isBoundary

          public boolean isBoundary(int var0)

    - #### last

          public abstract int last()

    - #### next

          public abstract int next()

    - #### next

          public abstract int next(int var0)

    - #### preceding

          public int preceding(int var0)

    - #### previous

          public abstract int previous()

    - #### setText

          public void setText(String var0)

    - #### setText

          public abstract void setText(CharacterIterator var0)